Bulk set environment variables
curl --request PUT \
--url https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/env/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"vars": [
{
"key": "<string>",
"value": "<string>",
"is_secret": true
}
],
"redeploy": true
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/env/bulk"
payload = {
"vars": [
{
"key": "<string>",
"value": "<string>",
"is_secret": True
}
],
"redeploy": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vars: [{key: '<string>', value: '<string>', is_secret: true}], redeploy: true})
};
fetch('https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/env/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"env_vars": [
{
"key": "<string>",
"value": "<string>",
"is_secret": true,
"is_system": true
}
],
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Environment variables
Bulk set environment variables
Upsert many variables at once (an .env paste).
PUT
/
api
/
v1
/
apps
/
services
/
{service_id}
/
env
/
bulk
Bulk set environment variables
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
App service ID (UUID) or short id (the service_id field)
Last modified on August 26, 2026
⌘I